poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53475] Support for more DOCX encryption versions
Date Thu, 21 Nov 2013 00:00:13 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53475

--- Comment #7 from Andreas Beeker <andreas.beeker@gmx.de> ---
Created attachment 31061
  --> https://issues.apache.org/bugzilla/attachment.cgi?id=31061&action=edit
JCE-check added to tests and AgileDecryptor

This patch contains the Assume-Check if the JCE restrictions are in place,
which Dominik recommended.

With the Junit3 code, the Assume didn't work, so I needed to convert it to
Junit4 annotated code.

Furthermore I've removed some obsolete lines, as the Biff8EncryptionKey is not
needed with Agile-Decryption.

I'll add more javadocs when the encryption stuff is finished and also a comment
about the JCE policies in the website docs.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message